=== debian/watch ===
version=3
http://chewing.csie.net/download/libchewing/libchewing-(.*)\.tar.bz2
