## libchewing 0.3.3-2

=== debian/changelog ===
libchewing (0.3.3-2) fremantle; urgency=low

  * Port to fremantle, modified build parameters

 -- Alsor Zhou <alsor.zhou@gmail.com>  Mon, 4 Jan 2010 01:40:42 +0800

libchewing (0.3.2-2) unstable; urgency=low

  [ Zhengpeng Hou ]
  * Add 01_fix_zuin_count_return.diff from upstream svn, which will make
    ibus-chewing work. (Closes: #551368)

  [ Andrew Lee (李健秋) ]
  * Accepted debdiff patch from Zhengpeng Hou and upload as maintainer 
    Kanru Chen's request.
  * Refine debian/rules

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 21 Oct 2009 00:08:42 +0800
