## libchewing 0.3.4

=== debian/changelog ===
libchewing (0.3.4-3) unstable; urgency=low

  * run autoreconf to fix regression with 0.3.4-2.

 -- Osamu Aoki <osamu@debian.org>  Fri, 21 Jun 2013 20:15:52 +0900

libchewing (0.3.4-2) unstable; urgency=low

  * Team upload.
  * Memory alignment patch for sparc. Closes: #709934
  * Disable test.

 -- Osamu Aoki <osamu@debian.org>  Thu, 20 Jun 2013 22:35:31 +0900

libchewing (0.3.4-1) unstable; urgency=low

  * debian/watch looks for googlecode now
  * Imported Upstream version 0.3.4
  * Upstream tarball has no chewing.py:
    put it under debian/
  * Autoreconf is not needed now.
  * /usr/lib/*/chewing3/ renamed to /usr/lib/*/chewing/
  * Patch to remove stamp under data correctly.
  * Add symbols for libchewing3.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 11:05:28 +0800
