=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS += -g
export CFLAGS

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/lib/${DEB_HOST_MULTIARCH}/libchewing3/

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_auto_test:

%:
	dh $@ --with autoreconf
