=== debian/watch ===
version=3
http://code.google.com/p/chewing/downloads/list .*/libchewing-*\.*(.*)\.tar\.bz2
