## libchewing 0.3.5

=== debian/changelog ===
libchewing (0.3.5-4build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:08 +0000

libchewing (0.3.5-4) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control:
    - Add missing pkg-config test dependency.
    - Don't pull in all binaries, just libchewing3-dev. This ensures that the
      -dev package has correct dependencies.

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge ubuntu fix for autopkgtest (Closes: #735646)
  * Update Standards-Version to 3.9.5

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 18 Feb 2014 22:26:46 +0800

libchewing (0.3.5-3) unstable; urgency=low

  * Merge negative frequency patch (Closes: #722971)
  * Fix hardening-no-fortify-functions
  * Fix dh clean
  * Add XS-Testsuite: autopkgtest
  * Update watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 01 Oct 2013 20:45:29 +0800

libchewing (0.3.5-2) unstable; urgency=low

  * Add missing build dependency.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 08 Aug 2013 08:43:22 +0800

libchewing (0.3.5-1) unstable; urgency=low

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release. (Closes: #695452, #608615)
  * Add info page to libchewing3-dev
  * Update new official website
  * Remove unused patches
  * Remove unused dependency
  * Add symbol for new API chewing_set_logger

  [ Kan-Ru Chen (陳侃如) ]
  * Make libchewing3-dbg Multi-Arch: same. (Closes: #712883)
  * Clean generated info files.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 08 Aug 2013 01:01:54 +0800
