=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/lib/${DEB_HOST_MULTIARCH}/libchewing3/

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_clean:
	-rm doc/libchewing.info
	-rm doc/stamp-vti
	-rm doc/version.texi
	dh_clean

override_dh_auto_test:

%:
	dh $@ --with autoreconf
