=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Kan-Ru Chen (陳侃如) <koster@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
-           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
+           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                gcc (>= 3:3.3),
                libncursesw5-dev,
+               libsqlite3-dev,
                libtool (>= 1.5.6),
                pkg-config,
-               texinfo
-Standards-Version: 3.9.5
+               texinfo,
+Standards-Version: 3.9.6
 Homepage: http://chewing.im
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libchewing.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/libchewing.git;a=summary
@@ -24,7 +25,8 @@
 Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
 Section: libdevel
 Architecture: any
-Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libchewing3 (= ${binary:Version}),
 Description: intelligent phonetic input method library (developer version)
  libchewing is an intelligent phonetic input method library for Chinese.
  .
@@ -42,9 +44,9 @@
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libchewing3-data (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libchewing3-data (>= 0.4.0),
 Breaks: scim-chewing (<< 0.3.3)
 Description: intelligent phonetic input method library
  libchewing is an intelligent phonetic input method library for Chinese.
@@ -62,9 +64,9 @@
 Provides: libchewing-data
 Breaks: libchewing-data (<= 0.2.7)
 Section: misc
-Multi-Arch: same
-Architecture: any
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Architecture: all
+Depends: ${misc:Depends},
 Description: intelligent phonetic input method library - data files
  libchewing is an intelligent phonetic input method library for Chinese.
  .
@@ -82,7 +84,8 @@
 Priority: extra
 Multi-Arch: same
 Architecture: any
-Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libchewing3 (= ${binary:Version}),
 Description: intelligent phonetic input method library - debug files
  libchewing is an intelligent phonetic input method library for Chinese.
  .
