=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --includedir=/usr/include/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_install:
	dh_install --fail-missing \
		--exclude=libchewing.a \
		--exclude=libchewing.info \
		--exclude=libchewing.la \
		$(NULL)
